#! /bin/bsh

#########################################################
#                    MADE BY TORMENT                    #
#########################################################

# Delete a file before used

if [ -f result.trc ]; then
	rm -f result.trc
fi

if [ -f tmp11345.tmp ]; then
	rm -f _tmp1.tmp
fi

if [ -f tmp11231.tmp ]; then
	rm -f _tmp2.tmp
fi


# notify a way of usage

if [ "$1" = "" ]; then
	echo ""
	echo "===========CAUTION============="
	echo "Usage : ./m_sct.sh script_name"
	echo "==============================="
	echo ""
	exit;
fi



sqlplus "$ORACLE_SYS_USER/$ORACLE_SYS_PASS as sysdba"<<EOF

spool _tmp1.tmp
@tmp
spool off
!grep '[0-9]' _tmp1.tmp>_tmp2.tmp
@c_trc_on
@$1
@c_trc_off
exit

EOF


# Remove blank spaces

sed 's/$//' _tmp2.tmp > _tmp1.tmp



#make a file name ( user dump trace ) 
temp=/oracle/admin/$ORACLE_SID/udump/prod_ora_`cat _tmp1.tmp` 


#make a file which is recreated by tkprof 
tkprof `echo $temp`".trc" ./result.trc


#open the file
vi ./result.trc
